Bug 1270816 - (CVE-2015-7758) CVE-2015-7758 gummi: Use of predictable filenames in /tmp
CVE-2015-7758 gummi: Use of predictable filenames in /tmp
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150729,repor...
: Security
Depends On: 1270817
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 08:49 EDT by Adam Mariš
Modified: 2016-04-02 05:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-02 05:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 756432 None None None Never

  None (edit)
Description Adam Mariš 2015-10-12 08:49:36 EDT
A vulnerability in gummi was found that uses predictable filenames in /tmp based on basename. When multiple users opens file with the same name, they could write to the same file. Attacker could also create symlinks such that the users could unintentionally overwrite some of their files. Although this case of attack depends on the configuration of /proc/sys/fs/protected_symlinks.

CVE assignment:

http://seclists.org/oss-sec/2015/q4/51
Comment 1 Adam Mariš 2015-10-12 08:49:57 EDT
Created gummi tracking bugs for this issue:

Affects: fedora-all [bug 1270817]
Comment 2 Fabian Affolter 2015-10-30 09:06:51 EDT
Upstream bug report: https://github.com/alexandervdm/gummi/issues/20
Comment 3 Fedora Update System 2016-03-09 10:55:46 EST
gummi-0.6.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-03-09 11:23:15 EST
gummi-0.6.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-03-09 15:12:58 EST
gummi-0.6.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-09 15:14:19 EST
gummi-0.6.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.